From: jcm at urania.harvard.edu (Jonathan McDowell)
Date: Thu, 4 Nov 93 13:59:28 EST

> Received: from fits.cv.nrao.edu by urania.harvard.edu (4.1/SMI-4.1)
> 	id AA28297; Wed, 3 Nov 93 11:27:04 EST
> Received: by fits.cv.nrao.edu (4.1/DDN-DLB/1.5)
> 	id AA24931; Wed, 3 Nov 93 11:19:51 EST
> Return-Path: <pence at tetra.gsfc.nasa.gov>
> Date: Wed, 3 Nov 93 11:19:44 EST
> From: pence at tetra.gsfc.nasa.gov (William Pence)
> Message-Id: <9311031619.AA14984 at tetra.gsfc.nasa.gov>
> To: fitsbits at fits.CV.NRAO.EDU
> Subject: CTYPE for pixel image
> Cc: pence at tetra.gsfc.nasa.gov
> Sender: fitsbits-request at fits.CV.NRAO.EDU
> 
> Does anyone have a recommendation for what values to assign to the WCS
> FITS keywords when describing an image of the detector flat-field (or
> similar image in the detector reference frame)?  In this case, there is
> no projection onto the sky, and the pixel increments (CDELTn) are in
> units of millimeters on the detector surface.
> 
> Would the following minimum set of keyword be acceptable?
> 
> NAXIS    =      2
> NAXIS1   =    256
> NAXIS2   =    256
> ...
> ...
> CTYPE1   = 'PIXEL   '           / no projection is involved
> CTYPE2   = 'PIXEL   '           / no projection is involved
> CDELT1   =     .0027            / increment in mm/pixel on the detector
> CDELT2   =     .0027            / increment in mm/pixel on the detector
> CUNIT1   = 'mm      '           / physical units of the first image axis
> CUNIT2   = 'mm      '           / physical units of the second image axis
> 
> The other WCS keywords (CRPIXn, CRVALn, CROTAn, CDiiijjj) would just have
> default values, so there is no reason to explicitly list them
> in the header.
> 
> 
 Bill,
   I think the WCS document would prefer an explicit acknowledgement that
the trivial projection CAR (Cartesian) is in use. The last four characters
of CTYPEn should be '-CAR'. I would therefore suggest
 CTYPE1   ='X----CAR' 
 CTYPE2   ='Y----CAR'
or
 CTYPE1   ='PIX--CAR'
 CTYPE2   ='PIX--CAR'
I have been using a similar thing: I have a detector image which is blocked
relative to the usual detector coordinates, and only covers a subset of
the whole detector. So to register this image on the default detector
coordinate grid I use
CTYPE1   = 'DETX-CAR'           / no projection is involved
CTYPE2   = 'DETY-CAR'           / no projection is involved
CDELT1   =         2            / increment in standard pixels/image pixels
CDELT2   =         2            / increment in standard pixels/image pixels
CUNIT1   = 'pixel   '           / Standard IPC detector pixels
CUNIT2   = 'pixel   '           / Standard IPC detector pixels
CRVAL1   = 1.5                  / Coord in standard grid of center of first image pixel
CRVAL2   = 1.5                  / Coord in standard grid of center of first image pixel
CRPIX1   = 1.0
CRPIX2   = 1.0

       - Jonathan